> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/de/apps/components/data-display/icon.md).

# Icon

Fügen Sie FontAwesome-Symbole mit New-UDIcon zu PowerShell Universal-Apps hinzu – einschließlich Symbolsuche, Größenanpassung, Rotation, Rahmen und benutzerdefinierten CSS-Stiloptionen.

[FontAwesome ](https://fontawesome.com/?from=io)-Symbole, die in Ihre App eingebunden werden können. Die Symbolnamen unterscheiden sich leicht von denen auf der FontAwesome-Website. Wenn Sie beispielsweise das Symbol `network-wired` verwenden möchten, würden Sie die folgende Zeichenfolge verwenden.

```powershell
New-UDIcon -Icon 'NetworkWired'
```

## Ein Symbol finden

FontAwesome v6 ist in PowerShell Universal enthalten. Mit `Find-UDIcon` können Sie die Liste der enthaltenen Symbole durchsuchen.

```powershell
Find-UDIcon User
```

{% hint style="warning" %}
Die Enumeration `UniversalDashboard.FontAwesomeIcons` sollte nicht verwendet werden und ist nur aus Gründen der Abwärtskompatibilität enthalten. Viele der Symbole sind nicht mehr Teil von FontAwesome 6.
{% endhint %}

## Symbol

Erstellen Sie Symbole, indem Sie deren Namen angeben. Mit der Symbolreferenz unten können Sie Symbole finden.

```powershell
New-UDIcon -Icon 'AddressBook'
```

## Größe

Legen Sie die Größe des Symbols fest. Gültige Werte sind: `xs`, `sm`, `lg`, `2x`, `3x`, `4x`, `5x`, `6x`, `7x`, `8x`, `9x`, `10x`

```powershell
    New-UDIcon -Icon 'AddressBook' -Size 'sm'
    New-UDIcon -Icon 'AddressBook' -Size 'lg'
    New-UDIcon -Icon 'AddressBook' -Size '5x'
    New-UDIcon -Icon 'AddressBook' -Size '10x'
```

## Rotation

Drehen Sie Symbole. Der Wert steht für die Gradzahl der Drehung.

```powershell
New-UDIcon -Icon 'AddressBook' -Size '5x' -Rotation 90
```

## Rahmen

Fügen Sie Ihrem Symbol einen Rahmen hinzu.

```powershell
New-UDIcon -Icon 'AddressBook' -Size '5x' -Border
```

## Stil

Wenden Sie CSS-Stile auf Ihr Symbol an.

```powershell
New-UDIcon -Icon 'AddressBook' -Size '5x' -Style @{
    backgroundColor = "red"
}
```

## Symbole visuell suchen

```powershell
New-UDTextbox -Id 'txtIconSearch' -Label 'Search' 
New-UDButton -Text 'Search' -OnClick {
    Sync-UDElement -Id 'icons'
}

New-UDElement -tag 'p' -Content {}

New-UDDynamic -Id 'icons' -Content {
    $IconSearch = (Get-UDElement -Id 'txtIconSearch').value
    if ($null -ne $IconSearch -and $IconSearch -ne '')
    {
        $Icons =$Icons = Find-UDIcon -Name $IconSearch
    }

    foreach($icon in $icons) {
        try{
            New-UDChip -Label $icon -Icon (New-UDIcon -Icon $icon)
        }
        catch{
            New-UDChip -Label "$icon Unknown" 
        }
    }
}
```

## Vollständige Symbolliste

[Klicken Sie hier, um die vollständige Symbolliste anzuzeigen.](https://gist.github.com/adamdriscoll/8a5d12b0ac5641bc1083bebf921f56fe)

## API

[**New-UDIcon**](/powershell-universal/de/powershell-befehle/new-udicon.md)

### Siehe auch

* [Devolutions Academy – Abrufen von Benutzerdetails](https://academy.devolutions.net/student/activity/3543018-part-3-fetching-user-details)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/de/apps/components/data-display/icon.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
